Bug 184580

Summary: lang/squeak doesn't build on PowerPC
Product: Ports & Packages Reporter: Justin Hibbits <jrh29>
Component: Individual Port(s)Assignee: John Marino <marino>
Status: Closed FIXED    
Severity: Affects Only Me CC: marino, mutoh
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Justin Hibbits 2013-12-07 18:00:00 UTC
lang/squeak is ONLY_FOR_ARCH i386 amd64, but with the attached trivial patch, it builds on PowerPC.

Fix: Patch is attached, minus the change to ONLY_FOR_ARCH in the Makefile.

Patch attached with submission follows:
How-To-Repeat: Attempt to build lang/squeak for powerpc
Comment 1 Edwin Groothuis freebsd_committer 2013-12-07 18:00:07 UTC
Maintainer of lang/squeak,

Please note that PR ports/184580 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184580

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-12-07 18:00:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2014-06-10 12:39:02 UTC
mutoh:

Did you ever see this squeak patch?  What do you think about it?
Comment 4 John Marino freebsd_committer 2014-07-26 13:13:49 UTC
maintainer timeout, and the port has also been reset to ports@FreeBSD.org.  Anybody can commit the fix.

jrh29: The port is going to get removed for not being staged, so I urge you to update the patch to add stage support.
Comment 5 commit-hook freebsd_committer 2014-07-28 14:10:36 UTC
A commit references this bug:

Author: marino
Date: Mon Jul 28 14:10:11 UTC 2014
New revision: 363156
URL: http://svnweb.freebsd.org/changeset/ports/363156

Log:
  lang/squeak: Claimed fix for PowerPC

  I've no way to test this, but it supposedly fixes the PowerPC build.
  Submitter has been notified the port will be removed due to lack of
  staging soon.

  PR:		184580
  Submitted by:	jrh29 (alumni.cwru.edu)
  Approved by:	maintainer timeout (8 months)
  Approved by:	portmgr (implicit, NO_STAGE)

Changes:
  head/lang/squeak/Makefile
  head/lang/squeak/files/patch-unix_vm_sqUnixMain.c
Comment 6 John Marino freebsd_committer 2014-07-28 14:11:57 UTC
Thanks!